﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using MEFedMVVM.ViewModelLocator;
using GalaSoft.MvvmLight;
using GalaSoft.MvvmLight.Command;
using GalaSoft.MvvmLight.Messaging;
using System.Collections.Generic;

namespace SwheatExample2
{
    [ExportViewModel("MainPage")]
    public class MainPageViewModel : ViewModelBase
    {
        public RelayCommand Save {get; private set;}

        public MainPageViewModel()
        {
            Save = new RelayCommand(SaveStuff);
        }
        
        public void SaveStuff()
        {
             if (new Random().Next(0, 2) == 1)
             {
                 Messenger.Default.Send(new NotificationMessage("An error occured.  " + DateTime.Now.ToShortDateString()));
            }
            else
            {
                bool dataExists = true; // Some method to lookup data somewhere

                if (dataExists)
                    Messenger.Default.Send(new DialogMessage("Do you want to overwrite existing data?", (result) =>
                        {
                            if (result == MessageBoxResult.OK)
                            {
                                //Do it
                                Messenger.Default.Send(new NotificationMessage("Your data was saved."));
                            }
                        }) {Caption="", Button=MessageBoxButton.OKCancel});
            }
        }


    }
}
